be.fgov.ehealth.dics.protocol.v5

## Class StrengthType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.StrengthType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:15:33+01:00",
                 comments="JAXB RI v2.3.7")
      public class StrengthType
      extends Object
      implements Serializable

  Java class for StrengthType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrengthType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Numerator" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
               <element name="Denominator" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrengthType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuantityType` | `getDenominator()` Gets the value of the denominator property.
    `QuantityType` | `getNumerator()` Gets the value of the numerator property.
    `void` | `setDenominator(QuantityType value)` Sets the value of the denominator property.
    `void` | `setNumerator(QuantityType value)` Sets the value of the numerator property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrengthType

          public StrengthType()

  - ### Method Detail

    - #### getNumerator

          public QuantityType getNumerator()

      Gets the value of the numerator property.
      Returns:
        possible object is `QuantityType`

    - #### setNumerator

          public void setNumerator(QuantityType value)

      Sets the value of the numerator property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getDenominator

          public QuantityType getDenominator()

      Gets the value of the denominator property.
      Returns:
        possible object is `QuantityType`

    - #### setDenominator

          public void setDenominator(QuantityType value)

      Sets the value of the denominator property.
      Parameters:
        `value` - allowed object is `QuantityType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.